Anonymous Login
2016-09-29 03:31 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
08699Bug reports[All Projects] RemoteControlpublic2014-02-12 21:20
Reporterkripp88 
Assigned Toc_schmitz 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version 
Summary08699: When sending invites via RemoteControl, {SURVEYURL} isn't recognized by some email accounts as a link
DescriptionWe recently just migrated from 1.9 to 2.0 build 130802. When we send out invites to a survey via the LS tool everything is perfect. However, when we use JSON-RPC interface to call inviteParticipants it sends out surveys that don't have a fully formed SURVEYURL in it. Some email such as Gmail and iMail can detect the https and automatically will turn it into a link but other such as Outlook and Yahoo simply see it as text. Since it is coming across as plain text instead of an html <a> tag, this is an understandable issue. We used the same surveys in 1.9 without issue. I know RemoteControl was change to version 2, so perhaps there is a bug in the code that is causing this problem?
Steps To Reproduce1. Setup survey with {SURVEYURL} parameter in the email template.
2. Create tokens
3. Send out survey invites via inviteParticipants.
4. Open the email and note that Outlook doesn't recognize the SURVEYURL as a link and thus it is not clickable
Complete LimeSurvey version number (& build)130802
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMS-SQL
Operating System (Server)Windows Server 2008 R2
Webserver software & versionIIS
PHP Version5.4.20
Attached Files

-Relationships
+Relationships

-Notes

~28619

c_schmitz (administrator)

Please attach the survey and the code snippet to send the invitation. Thank you.

~28626

kripp88 (reporter)

I have uploaded both of these files.

Thanks,
Kyle

~28627

kripp88 (reporter)

Sorry the syntax to execute the script is:

"php inviteParticipants.php https://LIMESURVEYURL/ 63367"

~28628

kripp88 (reporter)

"php inviteParticipants2.php https://*YOURLIMESURVEYURL*/ 63367"

~28655

c_schmitz (administrator)

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13876

~28656

c_schmitz (administrator)

Thank you, that helped alot.

~28662

kripp88 (reporter)

Thank you very much for the quick resolution. I copied this change into our environment and it appears to have resolved the problem.

Thanks again,
Kyle

~28671

c_schmitz (administrator)

2.05+ Build 140212 released
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2014-02-11 16:43 kripp88 New Issue
2014-02-11 16:45 c_schmitz Note Added: 28619
2014-02-11 16:45 c_schmitz Assigned To => c_schmitz
2014-02-11 16:45 c_schmitz Status new => feedback
2014-02-11 17:40 kripp88 File Added: inviteParticipants2.php
2014-02-11 17:41 kripp88 File Added: survey_archive_63367.lsa
2014-02-11 17:41 kripp88 Note Added: 28626
2014-02-11 17:41 kripp88 Status feedback => assigned
2014-02-11 18:04 kripp88 Note Added: 28627
2014-02-11 18:07 kripp88 Note Added: 28628
2014-02-11 23:12 c_schmitz View Status public => private
2014-02-12 17:19 c_schmitz File Deleted: survey_archive_63367.lsa
2014-02-12 17:19 c_schmitz File Deleted: inviteParticipants2.php
2014-02-12 17:21 c_schmitz Changeset attached => LimeSurvey master 32d5e527
2014-02-12 17:21 c_schmitz Note Added: 28655
2014-02-12 17:21 c_schmitz Resolution open => fixed
2014-02-12 17:21 c_schmitz Note Added: 28656
2014-02-12 17:21 c_schmitz Status assigned => resolved
2014-02-12 17:22 c_schmitz View Status private => public
2014-02-12 19:22 kripp88 Note Added: 28662
2014-02-12 21:20 c_schmitz Note Added: 28671
2014-02-12 21:20 c_schmitz Status resolved => closed
+Issue History